### GET /networks/{networkId}/sm/devices/{deviceId}/deviceProfiles Source: https://api.meraki.com/api/v1/openapiSpec Get the installed profiles associated with a device ```markdown ### Parameters - **networkId** (string, path, required): Network ID - **deviceId** (string, path, required): Device ID ### Responses #### 200 - Successful operation Empty response body ### Example Usage ```bash curl -X GET "https://api.example.com/networks/{networkId}/sm/devices/{deviceId}/deviceProfiles" ``` ``` -------------------------------- ### GET /administered/licensing/subscription/subscriptions Source: https://api.meraki.com/api/v1/openapiSpec List available subscriptions ```markdown ### Parameters - **perPage** (string, query, optional): The number of entries per page returned. Acceptable range is 3 - 1000. Default is 1000. - **startingAfter** (string, query, optional): A token used by the server to indicate the start of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it. - **endingBefore** (string, query, optional): A token used by the server to indicate the end of the page. Often this is a timestamp or an ID but it is not limited to those. This parameter should not be defined by client applications. The link for the first, last, prev, or next page in the HTTP Link header should define it. - **subscriptionIds** (string, query, optional): List of subscription ids to fetch - **organizationIds** (string, query, required): Organizations to get associated subscriptions for - **startDate** (string, query, optional): Filter subscriptions by start date, ISO 8601 format. To filter with a range of dates, use 'startDate[